package com.bocloud.cmp.model.hmc;

public class HmdVirtualNetworkAdapterModel extends HmdGenericModel {
    private String targetType; // 目标类型，取值：partition或profile
    private Integer adapterId; // 适配器id
    private String type; // 类型，取值Trunk、Client
    private Boolean isRequired; // 要激活分区，此适配器时必须的
    private Boolean isVaried; // 多种多样的
    private Boolean isTaggedVlanSupported; // 支持IEEE802.1兼容适配器
    private String taggedVlanIds; // 兼容的vlanId列表
    private Integer vlanId; // vlanId
    private Integer priority; // 优先级
    private String macAddress; // mac地址
    private String locationCode; // 物理位置码
    private HmdPartitionModel partition; // 所属的lpar/vios
    private HmdProfileModel profile; // 所属的概要文件
    private HmdServerVirtualSwitchModel virtualSwitch; // 使用的虚拟交换机
    private HmdServerVirtualNetworkModel virtualNetwork; // 使用的虚拟网络

    public String getTargetType() {
        return targetType;
    }

    public void setTargetType(String targetType) {
        this.targetType = targetType;
    }

    public Integer getAdapterId() {
        return adapterId;
    }

    public void setAdapterId(Integer adapterId) {
        this.adapterId = adapterId;
    }

    public Boolean getIsRequired() {
        return isRequired;
    }

    public void setIsRequired(Boolean isRequired) {
        this.isRequired = isRequired;
    }

    public Boolean getIsTaggedVlanSupported() {
        return isTaggedVlanSupported;
    }

    public void setIsTaggedVlanSupported(Boolean isTaggedVlanSupported) {
        this.isTaggedVlanSupported = isTaggedVlanSupported;
    }

    public String getTaggedVlanIds() {
        return taggedVlanIds;
    }

    public void setTaggedVlanIds(String taggedVlanIds) {
        this.taggedVlanIds = taggedVlanIds;
    }

    public Integer getPriority() {
        return priority;
    }

    public void setPriority(Integer priority) {
        this.priority = priority;
    }

    public String getMacAddress() {
        return macAddress;
    }

    public void setMacAddress(String macAddress) {
        this.macAddress = macAddress;
    }

    public String getLocationCode() {
        return locationCode;
    }

    public void setLocationCode(String locationCode) {
        this.locationCode = locationCode;
    }

    public Boolean getIsVaried() {
        return isVaried;
    }

    public void setIsVaried(Boolean isVaried) {
        this.isVaried = isVaried;
    }

    public HmdServerVirtualSwitchModel getVirtualSwitch() {
        return virtualSwitch;
    }

    public HmdServerVirtualSwitchModel newVirtualSwitch() {
        this.virtualSwitch = new HmdServerVirtualSwitchModel();
        return virtualSwitch;
    }

    public void setVirtualSwitch(HmdServerVirtualSwitchModel virtualSwitch) {
        this.virtualSwitch = virtualSwitch;
    }

    public HmdServerVirtualNetworkModel getVirtualNetwork() {
        return virtualNetwork;
    }

    public HmdServerVirtualNetworkModel newVirtualNetwork() {
        this.virtualNetwork = new HmdServerVirtualNetworkModel();
        return virtualNetwork;
    }

    public void setVirtualNetwork(HmdServerVirtualNetworkModel virtualNetwork) {
        this.virtualNetwork = virtualNetwork;
    }

    public Integer getVlanId() {
        return vlanId;
    }

    public void setVlanId(Integer vlanId) {
        this.vlanId = vlanId;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public HmdPartitionModel getPartition() {
        return partition;
    }

    public HmdPartitionModel newPartition() {
        this.partition = new HmdPartitionModel();
        return partition;
    }

    public void setPartition(HmdPartitionModel partition) {
        this.partition = partition;
    }

    public HmdProfileModel getProfile() {
        return profile;
    }

    public void setProfile(HmdProfileModel profile) {
        this.profile = profile;
    }

}
